#pragma once
#include "afxwin.h"
#include "ConfigBasic.h"
#include "ConfigMemo.h"
#include "ConfigPersonal.h"
#include "ConfigView.h"
#include "GdiPlusWrapper.h"
#include "ConfigSound.h"
#include "NMImgTabButton.h"


#define DEF_CONFIG_DLG_SIZE_CX		400 
#define DEF_CONFIG_DLG_SIZE_CY		395
#define BTN_NORMAL_TEXT_COLOR		RGB(102,102,102)
#define BTN_SELECTED_TEXT_COLOR		RGB(78,159,199)
#define CONFIG_DLG_BORDER_COLOR		RGB(201,201,201)
#define CONFIG_DLG_BORDER_PIXEL		1



enum CONFIG_TYPE{
	CONFIG_BASIC	=0,
	CONFIG_PERSONAL	  ,
	CONFIG_MEMO	      ,
	CONFIG_VIEW       ,
	CONFIG_SOUND      ,

};

class CConfigDlg : public CDialog
{
	DECLARE_DYNAMIC(CConfigDlg)

public:
	CConfigDlg(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CConfigDlg();

	void ShowConfig(int nTabIndex=0);

// ȭ  Դϴ.
	enum { IDD = IDD_CONFIG_COMMMON_DIALOG };

protected:
	CConfigBasic	m_ConfigBasic;
	CConfigMemo		m_ConfigMemo;
	CConfigPersonal m_ConfigPersonal;
	CConfigView		m_ConfigView;
	CConfigSound    m_ConfigSound;
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.

private:
	CONFIG_TYPE m_ConfigType;

	DECLARE_MESSAGE_MAP()
	virtual BOOL OnInitDialog();
	CGdiPlusWrapper m_gwBG;
	void InitSkin();
	//HICON			m_hIcon;	



public:
	CNMImgTabButton m_btnBasic;
	CNMImgTabButton m_btnPersonal;
	CNMImgTabButton m_btnMemo;
	CNMImgTabButton m_btnView;
	CNMImgTabButton m_btnSound;

	afx_msg void OnBnClickedConfigBasicButton();
	afx_msg void OnBnClickedConfigPersonalButton();
	afx_msg void OnBnClickedConfigMemoButton();
	afx_msg void OnBnClickedConfigViewButton();
	afx_msg void OnBnClickedConfigSoundButton();
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	CButton m_btnSave;
	CButton m_btnCancel;
	afx_msg void OnBnClickedCancelButton();
	afx_msg void OnBnClickedSaveButton();
	afx_msg LRESULT OnNcHitTest(CPoint point);
	CNMImgButton m_btnClose;
	afx_msg void OnBnClickedButton2();

	void __ResourceLoad(BOOL bInit = FALSE);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);

	void SetSelectButton(CNMImgTabButton* pSelectButton);
};
